---
lang: en
title: 'API docs: socketio.socketioserver._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioserver._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoServer](./socketio.socketioserver.md) &gt; [(constructor)](./socketio.socketioserver._constructor_.md)

## SocketIoServer.(constructor)

Constructs a new instance of the `SocketIoServer` class

**Signature:**

```typescript
constructor(app: Application, options?: SocketIoServerOptions);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

app


</td><td>

[Application](./core.application.md)


</td><td>


</td></tr>
<tr><td>

options


</td><td>

[SocketIoServerOptions](./socketio.socketioserveroptions.md)


</td><td>

_(Optional)_


</td></tr>
</tbody></table>


